Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libopenraw
#Epoch:		0
Version:	0.0.8
Release:	1
License:	GNU/GPL
URL:		http://libopenraw.freedesktop.org/
Group:		System/Libraries
Summary:	camera RAW files decoding library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	boost-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
libopenraw is an ongoing project to provide a free software implementation for camera RAW files decoding. One of the main reason is that dcraw is not suited for easy integration into applications, and there is a need for an easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data decoding and easy thumbnail extraction.



%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libopenraw.so.*
%{_libdir}/libopenrawgnome.so.*
%{_libdir}/gtk-2.0/*/loaders/libopenraw_pixbuf.so

%files devel
%defattr(-,root,root)
%{_includedir}/libopenraw-1.0/
%{_libdir}/libopenraw.a
%{_libdir}/libopenraw.la
%{_libdir}/libopenraw.so
%{_pkgconfig}/libopenraw-1.0.pc
%{_libdir}/libopenrawgnome.a
%{_libdir}/libopenrawgnome.la
%{_libdir}/libopenrawgnome.so
%{_pkgconfig}/libopenraw-gnome-1.0.pc
%{_libdir}/gtk-2.0/*/loaders/libopenraw_pixbuf.a
%{_libdir}/gtk-2.0/*/loaders/libopenraw_pixbuf.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.8-1
- initial CCux package release
- built against libjpeg 7
